Brands

Make a brand the default

Makes this brand the organization's default: bare `samva:brand` and domains without a brand resolve to it at their next build or send.

POST
/v1/brands/{slug}/default

Makes this brand the organization's default: bare samva:brand and domains without a brand resolve to it at their next build or send.

x-api-key<token>

In: header

Path Parameters

slug*string
Match^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/brands/string/default"
{  "id": "string",  "slug": "string",  "name": "string",  "isDefault": true,  "css": "string",  "assets": {    "logoUrl": "string",    "logoDarkUrl": "string",    "iconUrl": "string"  },  "footer": {    "companyName": "string",    "address": {      "street1": "string",      "street2": "string",      "city": "string",      "region": "string",      "postalCode": "string",      "country": "string"    },    "socialLinks": [      {        "label": "string",        "url": "string"      }    ]  },  "digest": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation